Bug 223339 - [MAINTAINER-UPDATE] dns/knot-resolver: update to 1.4.0
Summary: [MAINTAINER-UPDATE] dns/knot-resolver: update to 1.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-31 13:20 UTC by Leo Vandewoestijne
Modified: 2018-03-05 16:42 UTC (History)
4 users (show)

See Also:
pizzamig: maintainer-feedback? (freebsd)


Attachments
knot-resolver 1.4.0 (2.19 KB, patch)
2017-10-31 13:20 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff
upgrade to 1.5.3 (3.16 KB, patch)
2018-03-03 00:01 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2017-10-31 13:20:28 UTC
Created attachment 187608 [details]
knot-resolver 1.4.0

Already a month ago Knot-resolver had a new release.
This is the patch that upgrades to 1.4.0
Comment 1 Luca Pizzamiglio freebsd_committer 2017-11-03 15:44:43 UTC
I'm testing the build on all supported FreeBSD releases and on all of them I get this error message:

gmake -C modules/policy/lua-aho-corasick/ ahocorasick.so CFLAGS="-I/usr/local/include/luajit-2.0  -O2 -O2 -pipe  -fstack-protector -isystem /usr/local/include -fno-strict-aliasing -std=c99"
gmake[2]: Entering directory '/wrkdirs/usr/ports/dns/knot-resolver/work/knot-resolver-1.4.0/modules/policy/lua-aho-corasick'
mkdir build_so
c++ ac_fast.cxx -c -fvisibility=hidden -Wall -I/usr/local/include/luajit-2.0  -O2 -O2 -pipe  -fstack-protector -isystem /usr/local/include -fno-strict-aliasing -std=c99   -fPIC -I/usr/local/include/lua5.1 -MMD -o build_so/ac_fast.o
error: invalid argument '-std=c99' not allowed with 'C++/ObjC++'
gmake[2]: *** [Makefile:84: build_so/ac_fast.o] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/dns/knot-resolver/work/knot-resolver-1.4.0/modules/policy/lua-aho-corasick'
gmake[1]: *** [modules/policy/policy.mk:10: modules/policy/lua-aho-corasick/ahocorasick.so] Error 2
gmake[1]: Leaving directory '/wrkdirs/usr/ports/dns/knot-resolver/work/knot-resolver-1.4.0'
*** Error code 1
Comment 2 Vladimír Čunát 2018-03-02 16:47:23 UTC
- a part is c++ now.  Port's `USE_CSTD= c99` probably makes mess somewhere.  The upstream Makefile passes -std=c99 where suitable, so I can't see why bother.
- The current version in ports is vulnerable.  https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-1000002
- Feel free to ask upstream (me) with further problems, e.g. on https://gitter.im/CZ-NIC/knot-resolver or https://lists.nic.cz/cgi-bin/mailman/listinfo/knot-resolver-users  (no BSD expert there, but I assume you would bring those parts of knowledge)
Comment 3 Leo Vandewoestijne 2018-03-03 00:01:24 UTC
Created attachment 191155 [details]
upgrade to 1.5.3

> Port's `USE_CSTD= c99` probably makes mess somewhere
>
Can't be; that's what was removed in initial patch.
Myself I didn't get any build errors.

I already tried a couple of times to upgrade to 2.x.x but so far wasn't successful each attempt.
I'd like to contact you during next week.

Until then, this new patch will upgrade to 1.5.3, so should solve CVE-2018-1000002
So far I was only able to manually test on 10.3/amd64, Monday I can do all supported releases.
Comment 4 commit-hook freebsd_committer 2018-03-05 16:39:04 UTC
A commit references this bug:

Author: pizzamig
Date: Mon Mar  5 16:38:34 UTC 2018
New revision: 463651
URL: https://svnweb.freebsd.org/changeset/ports/463651

Log:
  dns/knot-resolver: Update to 1.5.3

  PR:		223339
  Submitted by:	Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer

Changes:
  head/dns/knot-resolver/Makefile
  head/dns/knot-resolver/distinfo
  head/dns/knot-resolver/pkg-plist
Comment 5 Luca Pizzamiglio freebsd_committer 2018-03-05 16:42:06 UTC
I've committed the submitted patch to 1.5.3, so I can close this PR.
Thanks for your efforts!